use std::io::{stdin, stdout, Write};

use microlang::eval::Context;

pub fn main() {
	let mut context = Context::empty();
	loop {
		print!("> ");
		stdout().flush().ok();
		let mut line = String::new();
		stdin().read_line(&mut line).unwrap();
		let res = context.eval(line);
		match res {
			Ok((_, value)) => println!("{}", value.serialize()),
			Err(e) => println!("Error : {e:?}"),
		}
	}
}
